%define major		7
%define gir_major	2.90
%define libname		%mklibname %name %major
%define develname	%mklibname -d %name
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary: 	A Unicode character map and font viewer
Name: 		gucharmap
Version:	3.6.1
Release:	%mkrel 2
License:	GPLv3
Group:		Publishing
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://gucharmap.sourceforge.net/
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.3
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libxslt-proc
BuildRequires: 	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	itstool

%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use gucharmap
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 6

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--with-gtk=3.0 \
	--enable-introspection \
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --with-help

#we don't want these
rm -rf %{buildroot}%{_libdir}/lib%{name}*.la

%files -f %name.lang
%doc README TODO
%{_bindir}/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/*

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gucharmap-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/%{name}*
%{_datadir}/gir-1.0/Gucharmap-%{gir_major}.gir


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352945
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317435
- new version 3.6.1

* Tue Oct 16 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 307005
- new version 3.6.0

* Tue Sep 25 2012 ovitters <ovitters> 3.5.99-1.mga3
+ Revision: 297408
- new version 3.5.99

  + fwang <fwang>
    - do not know where the requires come from

* Mon Aug 20 2012 fwang <fwang> 3.5.90-2.mga3
+ Revision: 282466
- update file list

  + pterjan <pterjan>
    - BuildRequires itstool

  + ovitters <ovitters>
    - new version 3.5.90

* Mon Jun 25 2012 ovitters <ovitters> 3.5.1-1.mga3
+ Revision: 263684
- new version 3.5.1

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1.1-1.mga2
+ Revision: 231109
- new version 3.4.1.1
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226658
- clean spec
- drop merged patch
- new version 3.4.0.1

* Wed Feb 29 2012 fwang <fwang> 3.3.1-2.mga2
+ Revision: 215981
- upload patch
- drop gconf reference

* Tue Feb 07 2012 fwang <fwang> 3.3.1-1.mga2
+ Revision: 205772
- update file list
- there is no gconf schemas
- new version 3.3.1

* Mon Dec 19 2011 wally <wally> 3.3.0-1.mga2
+ Revision: 184566
- new version 3.3.0

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167782
- new version 3.2.2

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155714
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148645
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145464
- br gi
- new version 3.1.92

* Thu Jul 07 2011 wally <wally> 3.0.1-2.mga2
+ Revision: 119876
- rebuild against new rpm-setup

* Sat Jun 25 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 113709
- new version 3.0.1
- build against GTK+3
- enable introspection
- create subpackage for gir .typelib
- disable static build
- clean .spec

* Fri Apr 15 2011 grenoya <grenoya> 3.0.0-1.mga1
+ Revision: 85839
- update to 3.0.0

* Sun Feb 20 2011 grenoya <grenoya> 2.32.1-1.mga1
+ Revision: 54614
-imported package gucharmap
- imported package gucharmap

